| Kea 3.0.2-git

dhcp_config_error.h
Go to the documentation of this file.
1// Copyright (C) 2017-2024 Internet Systems Consortium, Inc. ("ISC")
2//
3// This Source Code Form is subject to the terms of the Mozilla Public
4// License, v. 2.0. If a copy of the MPL was not distributed with this
5// file, You can obtain one at http://mozilla.org/MPL/2.0/.
6
7#ifndef DHCP_CONFIG_ERROR_H
8#define DHCP_CONFIG_ERROR_H
9
10#include <exceptions/exceptions.h>
11
12 namespace isc {
13
18 class ParseError : public isc::Exception {
19 public:
20 ParseError(const char* file, size_t line, const char* what) :
21 isc::Exception(file, line, what) { }
22};
23
37
43 class ConfigError : public isc::Exception {
44 public:
45
51 ConfigError(const char* file, size_t line, const char* what)
52 : isc::Exception(file, line, what) {}
53};
54
55 namespace dhcp {
56
58 class DhcpConfigError : public isc::Exception {
59 public:
65 DhcpConfigError(const char* file, size_t line, const char* what)
66 : isc::Exception(file, line, what) {}
67};
68
69} // namespace dhcp
70} // namespace isc
71
72#endif // DHCP_CONFIG_ERROR_H
DhcpConfigError::DhcpConfigError
DhcpConfigError(const char *file, size_t line, const char *what)
constructor
Definition dhcp_config_error.h:65
isc::ConfigError::ConfigError
ConfigError(const char *file, size_t line, const char *what)
constructor
Definition dhcp_config_error.h:51
isc::Exception
This is a base class for exceptions thrown from the DNS library module.
Definition exceptions/exceptions.h:23
isc::Exception::Exception
Exception(const char *file, size_t line, const char *what)
Constructor for a given type for exceptions with file name and file line number.
Definition exceptions/exceptions.cc:17
isc::Exception::what
virtual const char * what() const
Returns a C-style character string of the cause of the exception.
Definition exceptions/exceptions.cc:32
isc::ParseError::ParseError
ParseError(const char *file, size_t line, const char *what)
Definition dhcp_config_error.h:20
isc::dhcp::DhcpConfigError::DhcpConfigError
DhcpConfigError(const char *file, size_t line, const char *what)
constructor
Definition dhcp_config_error.h:65
exceptions.h
isc::util::file
Definition filesystem.cc:28
isc
Defines the logger used by the top-level component of kea-lfc.
Definition agent_parser.cc:148